Subject: bug#24417: 25.1; Emacs crashes during gc

From: Sudarshan Gaikaiwari <[email-masked]>
Date: Fri, 30 Sep 2016 10:05:32 -0500

Sorry, another (unrelated to emacs) issue caused me to update the
system which resulted in emacs being overwritten by the latest
released version. Because of that gdb is unable to match frames. I am
going to build and install the debug version of the current emacs
release and file an issue if I see a crash again.

On Fri, Sep 30, 2016 at 2:36 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: Sudarshan Gaikaiwari <[email-masked]>
>> Date: Thu, 29 Sep 2016 11:11:16 -0500
>> Cc: [email-masked]
>>
>> I have reopened the gdb session with
>>
>> coredumpctl gdb /usr/local/bin/emacs-25.1
>>
>> Please let me know the variables whose values I should report.
>
> Thanks.  Please show the results of the following commands:
>
>  (gdb) source /path/to/emacs/src/.gdbinit
>  (gdb) frame 11
>  (gdb) p args[0]
>  (gdb) xtype
>
> If the last command says "Lisp_Symbol", type "xsymbol" and tell what
> it prints.
>
> There are more calls to Ffuncall, in frames 14, 17, 20, 23, 27, 30,
> 33, and 36; please repeat the above commands, starting with the
> "frame NUM" command, and show the functions called by each stack
> frame.
>
> Next, type the following:
>
>  (gdb) frame 40
>  (gdb) p fn
>  (gdb) xtype
>
> Once again, if this says "Lisp_Symbol", use "xsymbol" to show the
> function that is being called there.
>
> Finally, type the following:
>
>  (gdb) frame 110
>  (gdb) p error_symbol
>  (gdb) xsymbol
>  (gdb) p data
>  (gdb) xtype
>
> Please note: the numbers of the frames in the above commands were
> taken from the backtrace you posted here:
>
>   http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24417#17
>
> Before typing these commands, please verify that the frames I
> mentioned are identical to those in that report.  For example, frame
> 11 should look like this:
>
>   #11 0x00000000005ee505 in Ffuncall (nargs=4, args=0x7ffe25a519b8) at eval.c:2704
>           internal_argbuf = {49541348, 12554, 44448, 0, 44448,
>   140729529997648, 5550693, 3977139728650}
>           fun = 9484317
>           original_fun = 529104
>           funcar = 6110010
>           numargs = 3
>           lisp_numargs = 13057072
>           val = 47136
>           internal_args = 0x7ffe25a51910
>           count = 200
>
> If the frames are not identical, the commands might not work, and you
> should try to adjust the frame numbers to what you see in the
> backtrace before typing the commands.
>
> Thanks.

-- 

Sudarshan Gaikaiwari
www.sudarshan.org
[email-masked]